<!DOCTYPE html>
<html lang="en">
   <head>
      <meta charset="UTF-8" />
      <meta http-equiv="X-UA-Compatible" content="IE=edge" />
      <meta name="viewport" content="width=device-width, initial-scale=1.0" />
      <title>Update Realestates</title>

      <!--Boottrap, JQuery-->
      <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" />
      <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
      <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

      <!--FONT AWESOME-->
      <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.0/css/all.min.css" />

      <link
         href="https://fonts.googleapis.com/css2?family=Karantina:wght@300&family=Lora&display=swap"
         rel="stylesheet"
      />

      <!-- Toastr -->
      <link rel="stylesheet" href="../../assets/plugin/adminLTE/toastr/toastr.min.css" />
      <script src="../../assets/plugin/adminLTE/toastr/toastr.min.js"></script>

      <script src="../../assets/js/userPage/updateRealestates/updateRealestates.js"></script>
   </head>
   <body>
      <div id="header">
         <!-- 1. Header - Navbar menu -->
         <section style="background-color: rgb(11, 44, 61)">
            <div id="header-navbar" class="container py-3">
               <nav class="navbar navbar-light navbar-expand-lg">
                  <!--Logo-->
                  <a href="../home/home.html" class="navbar-brand">
                     <img src="../../assets/image/default/logo-white.png" />
                  </a>
                  <button
                     class="navbar-toggler py-2"
                     type="button"
                     data-toggle="collapse"
                     data-target="#navbarSupportedContent"
                     aria-controls="navbarSupportedContent"
                     aria-expanded="false"
                     aria-label="Toggle navigation"
                     style="background-color: #b39359"
                  >
                     <i class="fa-solid fa-bars text-light"></i>
                  </button>

                  <!--item-->
                  <div class="collapse navbar-collapse" id="navbarSupportedContent">
                     <ul class="navbar-nav ml-auto">
                        <li class="nav-item active px-2">
                           <a class="nav-link" href="../home/home.html">Home</a>
                        </li>
                        <li class="nav-item dropdown px-2">
                           <a
                              class="nav-link"
                              href="#"
                              id="navbarDropdown2"
                              role="button"
                              data-toggle="dropdown"
                              aria-haspopup="true"
                              aria-expanded="false"
                           >
                              Properties
                           </a>
                           <div class="dropdown-menu" aria-labelledby="navbarDropdown2">
                              <a class="dropdown-item" href="#">Vision & Mission</a>
                              <hr class="p-0 m-0" />
                              <a class="dropdown-item" href="#">Team</a>
                              <hr class="p-0 m-0" />
                              <a class="dropdown-item" href="#">Contact Us</a>
                              <hr class="p-0 m-0" />
                           </div>
                        </li>
                        <li class="nav-item dropdown px-2">
                           <a
                              class="nav-link"
                              href="#"
                              id="navbarDropdown2"
                              role="button"
                              data-toggle="dropdown"
                              aria-haspopup="true"
                              aria-expanded="false"
                           >
                              Pages
                           </a>
                           <div class="dropdown-menu" aria-labelledby="navbarDropdown2">
                              <a class="dropdown-item" href="#">Vision & Mission</a>
                              <hr class="p-0 m-0" />
                              <a class="dropdown-item" href="#">Team</a>
                              <hr class="p-0 m-0" />
                              <a class="dropdown-item" href="#">Contact Us</a>
                              <hr class="p-0 m-0" />
                           </div>
                        </li>
                        <li class="nav-item dropdown px-2">
                           <a
                              class="nav-link"
                              href="#"
                              id="navbarDropdown5"
                              role="button"
                              data-toggle="dropdown"
                              aria-haspopup="true"
                              aria-expanded="false"
                           >
                              Contact
                           </a>
                           <div class="dropdown-menu" aria-labelledby="navbarDropdown5">
                              <a class="dropdown-item" href="#">Vision & Mission</a>
                              <hr class="p-0 m-0" />
                              <a class="dropdown-item" href="#">Team</a>
                              <hr class="p-0 m-0" />
                              <a class="dropdown-item" href="#">Contact Us</a>
                              <hr class="p-0 m-0" />
                           </div>
                        </li>
                     </ul>
                     <div id="container-infoAccount" style="display: none">
                        <ul class="navbar-nav ml-auto">
                           <li class="nav-item dropdown px-2">
                              <a
                                 class="nav-link a-info"
                                 href="#"
                                 id="navbarDropdown2"
                                 role="button"
                                 data-toggle="dropdown"
                                 aria-haspopup="true"
                                 aria-expanded="false"
                              >
                              </a>
                              <div class="dropdown-menu" aria-labelledby="navbarDropdown2">
                                 <a
                                    class="dropdown-item dashboardPage"
                                    href="../../DashBoard/RealestateAdmin/RealestateAdmin.html"
                                    style="display: none"
                                    >DashBoard</a
                                 >
                                 <hr class="p-0 m-0" />
                                 <a class="dropdown-item" href="../../UserPage/infoAccount/infoAccount.html">Account</a>
                                 <hr class="p-0 m-0" />
                                 <a class="dropdown-item" href="../../UserPage/myRealestates/myRealestates.html"
                                    >My Realestates</a
                                 >
                                 <hr class="p-0 m-0" />
                                 <a class="dropdown-item" href="../../UserPage/addRealestates/addRealestates.html"
                                    >Add Realestates</a
                                 >
                                 <hr class="p-0 m-0" />
                              </div>
                           </li>
                           <li>
                              <button class="btn btn-danger" id="btn-logout">Log Out</button>
                           </li>
                        </ul>
                     </div>

                     <div id="container-loginAndRegister">
                        <a href="../register/register.html" class="btn px-2 mx-2 bg-primary text-white">Register</a>
                        <a href="../login/login.html" class="btn px-2 bg-info text-white">Log In</a>
                     </div>
                  </div>
               </nav>
            </div>
         </section>

         <!--BackGround Header-->
         <section class="bg-header align-items-center d-flex">
            <div class="container text-white text-center">
               <h6>Update Property</h6>
               <h1>Update Property</h1>
               <h5>
                  You can update your Real Estate information here! If it is valid it will be confirmed and will be
                  posted on the homepage
               </h5>
            </div>
         </section>

         <!--end-->
      </div>

      <div id="main">
         <!--FORM THÔNG TIN-->
         <section id="main-form" class="py-5 my-5">
            <div class="container">
               <div class="form-group">
                  <div class="row">
                     <div class="col-12 col-md-8">
                        <h5 class="pt-2">Title <span style="color: red">*</span></h5>
                        <input id="inp-title" class="form-control inp-form" />
                        <span class="note-error d-none">Input title</span>
                     </div>
                     <div class="col-12 col-md-4">
                        <h5 class="pt-2">Price <span style="color: red">*</span></h5>
                        <input id="inp-price" class="form-control inp-form" oninput="formatNumber(this)" />
                        <span class="note-error d-none">Input Price</span>
                     </div>
                  </div>
               </div>

               <div class="form-group">
                  <div class="row">
                     <div class="col-12">
                        <h5>Description</h5>
                     </div>
                  </div>

                  <div class="row">
                     <div class="col-sm-12">
                        <textarea rows="10" class="form-control inp-form" id="inp-description"></textarea>
                     </div>
                  </div>
               </div>

               <div class="form-group">
                  <div class="row">
                     <div class="col-12 col-md-4">
                        <h5 class="pt-2">City <span style="color: red">*</span></h5>
                        <select id="select-province" class="form-control inp-form">
                           <option value="0">Select Province</option>
                        </select>
                        <span class="d-none note-error">Choose Province</span>
                     </div>
                     <div class="col-12 col-md-4">
                        <h5 class="pt-2">District <span style="color: red">*</span></h5>
                        <select id="select-district" class="form-control inp-form">
                           <option value="0">Select District</option>
                        </select>
                        <span class="d-none note-error">Choose District</span>
                     </div>
                     <div class="col-12 col-md-4">
                        <h5 class="pt-2">Ward <span style="color: red">*</span></h5>
                        <select id="select-ward" class="form-control inp-form">
                           <option value="0">Select Ward</option>
                        </select>
                        <span class="d-none note-error">Choose Ward</span>
                     </div>
                  </div>
               </div>

               <div class="form-group">
                  <div class="row">
                     <div class="col-12 col-md-4">
                        <h5 class="pt-2">Street</h5>
                        <select id="select-street" class="form-control inp-form">
                           <option value="0">Select Street</option>
                        </select>
                     </div>
                     <div class="col-12 col-md-4">
                        <h5 class="pt-2">Address</h5>
                        <input id="inp-address" class="form-control inp-form" />
                     </div>
                     <div class="col-12 col-md-4">
                        <h5 class="pt-2">Project</h5>
                        <select id="select-project" class="form-control inp-form">
                           <option value="0">Select Project</option>
                        </select>
                     </div>
                  </div>
               </div>

               <div class="form-group">
                  <div class="row">
                     <div class="col-12 col-md-4">
                        <h5 class="pt-2">Aceagre <span style="color: red">*</span></h5>
                        <input
                           id="inp-acreage"
                           class="form-control inp-form"
                           oninput="validateInputMax2Decimal(this)"
                           onkeypress="return isPositiveDecimal(event)"
                        />
                        <span class="d-none note-error">Input aceagre</span>
                     </div>
                     <div class="col-12 col-md-4">
                        <h5 class="pt-2">Bed Room</h5>
                        <input
                           id="inp-bedRoom"
                           class="form-control inp-form"
                           onkeypress="return event.charCode >= 48 && event.charCode <= 57"
                        />
                     </div>
                     <div class="col-12 col-md-4">
                        <h5 class="pt-2">Bath Room</h5>
                        <input
                           id="inp-bathRoom"
                           class="form-control inp-form"
                           onkeypress="return event.charCode >= 48 && event.charCode <= 57"
                        />
                     </div>
                  </div>
               </div>

               <div class="form-group">
                  <div class="row">
                     <div class="col-12 col-md-6">
                        <h5 class="pt-2">Type <span style="color: red">*</span></h5>
                        <select id="select-type" class="form-control inp-form">
                           <option value="0">Select Type</option>
                        </select>
                        <span class="d-none note-error">Choose Type</span>
                     </div>
                     <div class="col-12 col-md-6">
                        <h5 class="pt-2">Request <span style="color: red">*</span></h5>
                        <select id="select-request" class="form-control inp-form">
                           <option value="0">Select Request</option>
                        </select>
                        <span class="d-none note-error">Choose Request</span>
                     </div>
                  </div>
               </div>

               <div class="form-group">
                  <a href="#" id="btn-showDetail">Show Add Detail</a>
               </div>

               <div id="form-addDetail" style="display: none">
                  <div class="form-group">
                     <div class="row">
                        <div class="col-12 col-md-4">
                           <h5 class="pt-2">Long</h5>
                           <input
                              id="inp-longX"
                              class="form-control inp-form"
                              oninput="validateInputMax1Decimal(this)"
                              onkeypress="return isPositiveDecimal(event)"
                           />
                        </div>
                        <div class="col-12 col-md-4">
                           <h5 class="pt-2">Width</h5>
                           <input
                              id="inp-widthY"
                              class="form-control inp-form"
                              oninput="validateInputMax1Decimal(this)"
                              onkeypress="return isPositiveDecimal(event)"
                           />
                        </div>
                        <div class="col-12 col-md-4">
                           <h5 class="pt-2">ApartCode</h5>
                           <input id="inp-apartCode" class="form-control inp-form" />
                        </div>
                     </div>
                  </div>

                  <div class="form-group">
                     <div class="row">
                        <div class="col-12 col-md-4">
                           <h5 class="pt-2">Direction</h5>
                           <select name="" id="select-direction" class="form-control inp-form">
                              <option value="0">Select Direction</option>
                           </select>
                        </div>
                        <div class="col-12 col-md-4">
                           <h5 class="pt-2">Floor</h5>
                           <input
                              id="inp-numberFloors"
                              class="form-control inp-form"
                              onkeypress="return event.charCode >= 48 && event.charCode <= 57"
                           />
                        </div>
                        <div class="col-12 col-md-4">
                           <h5 class="pt-2">Contiguous faces</h5>
                           <input
                              id="inp-adjacentFacadeNum"
                              class="form-control inp-form"
                              onkeypress="return event.charCode >= 48 && event.charCode <= 57"
                           />
                        </div>
                     </div>
                  </div>

                  <div class="form-group">
                     <div class="row">
                        <div class="col-12 col-md-4">
                           <h5 class="pt-2">Total Floors</h5>
                           <input id="inp-totalFloors" class="form-control inp-form" />
                        </div>
                        <div class="col-12 col-md-4">
                           <h5 class="pt-2">Wall Area</h5>
                           <input
                              id="inp-wallArea"
                              class="form-control inp-form"
                              oninput="validateInputMax1Decimal(this)"
                              onkeypress="return isPositiveDecimal(event)"
                           />
                        </div>
                        <div class="col-12 col-md-4">
                           <h5 class="pt-2">Structure</h5>
                           <input id="inp-structure" class="form-control inp-form" />
                        </div>
                     </div>
                  </div>
               </div>

               <div class="form-group mb-5">
                  <div class="row">
                     <div class="col-12 col-md-6 wrapperImage">
                        <div style="padding: 10px; border: 2px solid orange">
                           <i class="fa-solid fa-image fa-4x" title="Insert Image"></i>
                           <input type="file" id="inp-fileImage" style="display: none" />
                        </div>
                     </div>
                     <div class="col-12 col-md-6 py-2">
                        <img src="" alt="" id="img-insert" class="img-fluid" style="max-width: 300px" />
                     </div>
                  </div>
               </div>

               <div class="form-group mb-5 d-flex align-items-center">
                  <div class="ml-auto">
                     <button id="btn-update">Update Realestate</button>
                     <button id="btn-cancel" style="background-color: red" class="ml-2">Cancel</button>
                  </div>
               </div>
            </div>
         </section>

         <!--MAIN CONTACT US-->
         <section id="main-contact">
            <div class="" style="background-color: rgb(11, 44, 61); position: relative">
               <img
                  src="../../assets/image/default/home-1.png"
                  alt=""
                  style="position: absolute; bottom: 0; right: 0; width: 25%"
                  class="img-contact"
               />
               <div class="container">
                  <div class="row py-5">
                     <div class="col-sm-12 col-md-12 col-lg-6 col-12">
                        <h2 class="text-white">Are you a Home Owner ?</h2>
                        <p style="color: #b39359">Put your email address and get listed.</p>
                        <div style="position: relative">
                           <input
                              type="text"
                              name=""
                              id=""
                              class="form-control my-5"
                              style="
                                 background-color: transparent;
                                 border-color: #b39359;
                                 color: #fff;
                                 height: 50px;
                                 border-radius: 10px;
                              "
                           />
                           <button style="position: absolute; top: 5px; right: 10px">Get Listed</button>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
         </section>
      </div>

      <!--FOOTER-->
      <div id="footer">
         <div class="py-3 container">
            <div class="row py-5">
               <div class="col-sm-3 col-12 pt-3">
                  <img src="../../assets/image/default/logo (1).svg" class="py-3" />
                  <p>
                     Properties are most budget friendly so you have are find opportunity is main responsibility to
                     clients
                  </p>
               </div>
               <div class="col-sm-3 col-12 p-3">
                  <h4>Information.</h4>
                  <p>Properties</p>
                  <p>Careers</p>
                  <p>Payment</p>
                  <p>Blog Post</p>
               </div>
               <div class="col-sm-3 col-12 pt-3">
                  <h4>Support.</h4>
                  <p>Add Property</p>
                  <p>Help line</p>
                  <p>Our Agents</p>
                  <p>features</p>
               </div>
               <div class="col-sm-3 col-12 pt-3">
                  <h4>Address.</h4>
                  <p>2104 Charmaine Lane Amarillo, New York</p>
                  <span class="mr-3"><i class="fa-brands fa-square-facebook fa-2x"></i></span>
                  <span class="mr-3"><i class="fa-brands fa-square-instagram fa-2x"></i></span>
                  <span><i class="fa-brands fa-square-twitter fa-2x"></i></span>
               </div>
            </div>
            <p class="pb-5">© <span style="color: #b39359">CodeCarnival.</span> All Rights Reserved - Privacy Policy</p>
         </div>
         <div>
            <img class="img-footer img-fluid" src="../../assets/image/default/pattern (1).png" alt="" />
         </div>
      </div>
   </body>

   <style>
      :root {
         --main-color: #b39359;
      }

      body {
         font-family: "Lora";
      }

      button {
         color: white;
         font-weight: bold;
         background-color: var(--main-color);
         border: 1px solid transparent;
         padding: 0.375rem 0.75rem;
         font-size: 1rem;
         border-radius: 10px;
         transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out,
            box-shadow 0.15s ease-in-out;
         box-shadow: 1px 1px 10px 0.2px rgb(109, 109, 11);
      }

      button:hover {
         transform: scale(1.1);
         box-shadow: 1px 1px 10px 1px rgb(106, 124, 6);
      }

      button:focus {
         outline: none;
      }

      /* PHẦN CSS HEADER */
      /*-----------------------------------------*/

      #header-navbar li > a:nth-child(1) {
         color: white;
         font-size: 1.2rem;
      }

      #header-navbar div {
         border-radius: 15px;
      }

      #header-navbar div > a:hover {
         background-color: var(--main-color);
      }

      .bg-header {
         background: linear-gradient(rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.7)), url("../../assets/image/default/bg-1.png");
         background-size: cover;
         background-repeat: no-repeat;
         background-position: center;
         height: 400px;
      }

      /* PHẦN CSS MAIN 
      -------------------------------------------- */
      .inp-form {
         border-radius: 10px;
         border-color: #b39359;
      }

      @media screen and (max-width: 992px) {
         .img-contact {
            display: none;
         }
      }

      .wrapperImage {
         display: flex;
         justify-content: start;
         align-items: center;
         cursor: pointer;
      }

      .note-error {
         color: red;
      }

      /* PHẦN CSS FOOTER */
      /*-----------------------------------------*/
      #footer {
         position: relative;
         background-color: rgb(238, 238, 238);
      }

      .img-footer {
         position: absolute;
         bottom: 0;
      }
   </style>
</html>
